<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'error', language 'en_us_k12', version '2.7'.
 *
 * @package     error
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['cannotaddcoursemodule'] = 'Could not add a new class module';
$string['cannotaddcoursemoduletosection'] = 'Could not add the new class module to that section';
$string['cannotassignrole'] = 'Cannot assign role in class';
$string['cannotcreateorfindstructs'] = 'Error finding or creating section structures for this class';
$string['cannotdeletecategorycourse'] = 'Class \'{$a}\' failed to be deleted.';
$string['cannotdeletecourse'] = 'You do not have the permission to delete this class';
$string['cannoteditsiteform'] = 'You cannot edit the site class using this form';
$string['cannotfindcourse'] = 'Cannot find class';
$string['cannothaveparentcate'] = 'Class category cannot have parent!';
$string['cannotinsertgrade'] = 'Cannot insert grade item without class id!';
$string['cannotmarktopic'] = 'Could not mark that topic for this class';
$string['cannotmovecourses'] = 'Cannot move classes from the category they are in to another.';
$string['cannotremovefrommeta'] = 'Could not remove the selected class from this meta class!';
$string['cannotrestoreadminorcreator'] = 'You need to be a creator or admin user to restore into new class!';
$string['cannotrestoreadminoredit'] = 'You need to be a editing teacher or admin user to restore into selected class!';
$string['cannotsetparentforcatoritem'] = 'Cannot set parent for category or class item!';
$string['cannotshowhidecoursesincategory'] = 'Cannot show/hide the classes in category {$a}.';
$string['cannotupdatesubcourse'] = 'Could not update a child class!';
$string['coursedoesnotbelongtocategory'] = 'The class doesn\'t belong to this category';
$string['courseformatnotfound'] = 'The class format \'{$a}\' doesn\'t exist or is not recognized';
$string['coursegroupunknown'] = 'Class corresponding to group {$a} not specified';
$string['courseidnotfound'] = 'Class id doesn\'t exist';
$string['courseidnumbertaken'] = 'ID number is already used for another class ({$a})';
$string['coursemisconf'] = 'Class is misconfigured';
$string['courserequestdisabled'] = 'Sorry, but class requests have been disabled by the administrator.';
$string['destinationcmnotexit'] = 'The destination class module does not exist';
$string['groupexistforcourse'] = 'Group \\"{$a}\\" already exists for this class';
$string['groupexistforcoursewithidnumber'] = '{$a->problemgroup}: Group \\"{$a->name}\\" with an idnumber of \\"{$a->idnumber}\\" already exists for this class';
$string['groupunknown'] = 'Group {$a} not associated to specified class';
$string['invalidcourse'] = 'Invalid class';
$string['invalidcourseid'] = 'You are trying to use an invalid class ID';
$string['invalidcoursemodule'] = 'Invalid class module ID';
$string['invalidcoursenameshort'] = 'Invalid short class name';
$string['invalidsection'] = 'Class module record contains invalid section';
$string['invalidshortname'] = 'That\'s an invalid short class name';
$string['loginasnoenrol'] = 'You cannot use enroll or unenroll when in class \\"Login as\\" session';
$string['loginasonecourse'] = 'You cannot enter this class.<br /> You have to terminate the \\"Login as\\" session before entering any other class.';
$string['moduledisable'] = 'This module ({$a}) has been disabled for this particular class';
$string['needcoursecategroyid'] = 'Either class id or category must be specified';
$string['nocontext'] = 'Sorry, but that class is not a valid context';
$string['noinstances'] = 'There are no instances of {$a} in this class!';
$string['noparticipants'] = 'No participants found for this class';
$string['noparticipatorycms'] = 'Sorry, but you have no participatory class modules to report on';
$string['nopermissiontoimportact'] = 'You do not have the required permissions to import activities to this class';
$string['nosite'] = 'Could not find a top-level class!';
$string['notmemberofgroup'] = 'You are not a member of this class group';
$string['reportnotavailable'] = 'This type of report is only available for the site class';
$string['requireloginerror'] = 'Class or activity not accessible.';
$string['shortnametaken'] = 'Short name is already used for another class ({$a})';
$string['statsnodata'] = 'There is no available data for that combination of class and time period';
$string['unknowncourse'] = 'Unknown class named \\"{$a}\\"';
$string['unknowncourseidnumber'] = 'Unknown class ID \\"{$a}\\"';
$string['unknowncourserequest'] = 'Unknown class request';
$string['unknowncoursesection'] = 'Unknown class section in class \\"{$a}\\"';
$string['unspecifycourseid'] = 'Must specify class id, short name or idnumber';
$string['usernotincourse'] = 'This user is not in this class!';
$string['wscouldnotcreateecoursenopermission'] = 'WS - Could not create class - No permission';
